GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::ClientWriter< W > Class Template Reference

`#include <client_context.h>`

## Public Member Functions
template<class R >
| ClientWriter (ChannelInterface *channel, const RpcMethod &method, ClientContext *context, R *response)
bool | Write (const W &msg, const WriteOptions &options) GRPC_OVERRIDE
bool | WritesDone () GRPC_OVERRIDE
Status | Finish () GRPC_OVERRIDE
Public Member Functions inherited from grpc::ClientStreamingInterface
virtual | ~ClientStreamingInterface ()
Public Member Functions inherited from grpc::WriterInterface< W >
virtual | ~WriterInterface ()
bool | Write (const W &msg)

## Constructor & Destructor Documentation

template<class W >
template<class R >

grpc::ClientWriter< W >::ClientWriter | ( | ChannelInterface * | channel,
|  | const RpcMethod & | method,
|  | ClientContext * | context,
|  | R * | response
| ) |  |
| inline

## Member Function Documentation

template<class W >

Status grpc::ClientWriter< W >::Finish | ( |  | ) |
| inline virtual

Implements grpc::ClientStreamingInterface.

template<class W >

bool grpc::ClientWriter< W >::Write | ( | const W & | msg,
|  | const WriteOptions & | options
| ) |  |
| inline virtual

Implements grpc::WriterInterface< W >.

template<class W >

bool grpc::ClientWriter< W >::WritesDone | ( |  | ) |
| inline virtual

Implements grpc::ClientWriterInterface< W >.

The documentation for this class was generated from the following files:

- include/grpc++/client_context.h
- include/grpc++/stream.h